Faça uma chamada no LinkedIn oauth2 do localhost usando PHP

Estou tentando fazer o plugin do LinkedIn, que busca o perfil dos usuários. Eu estou usando a API REST para esse fim, mas quando eu faço chamada de localhost ele mostra o seguinte erro

Simple-LinkedIn: library not compatible with installed PECL OAuth extension. Please disable this extension to use the Simple-LinkedIn library.

Por favor me guie.

arquivo de índice

arquivo oauth

Em ambos os arquivos, somente os valores da chave são alterados.

Estou usando o servidor XAMPP na minha janela 7 32 bits.

0

1 Respostas

Você realmente tem duas opções.

Primeiro, você pode seguir a sugestão na mensagem acima e desinstalar o módulo Oauth PECL que entra em conflito com a biblioteca Simple-LinkedIn. Exstensions PECL cna ser desinstalado via:

pecl uninstall xxx

Onde xxx é o módulo.

Em segundo lugar, você pode usar o módulo oauth já instalado para fazer as chamadas do LinkedIn. Detalhes sobre como fazer as chamadas usando esta biblioteca podem ser encontrados no site do LinkedIn Developers:

https://developer.linkedin.com/documents/reading-data#toggleview:id=php https://developer.linkedin.com/documents/writing-linkedin-apis#toggleview:id=php

0
adicionado
PHP Brasil
PHP Brasil
3 048 dos participantes

Neste grupo pregamos o respeito ao próximo e não são permitidas ações que sejam contrárias à isso. Conduta: https://bit.ly/2CImbaA Off-topic: https://bit.ly/2x64Dzf Blog: https://brasil-php.github.io/blog Use /rules para ver detalhes das regras

PHP Brasil Off
PHP Brasil Off
167 dos participantes

Regras: não há regras